import{s as D,n as F,o as K}from"../chunks/scheduler.6062bdaf.js";import{S as tt,i as et,g as r,s as n,r as Z,A as at,h as p,f as a,c as i,j as z,u as B,x as b,k as Q,y as lt,a as l,v as R,d as N,t as Y,w as j}from"../chunks/index.4bca734e.js";import{C as E}from"../chunks/CodeBlock.fa01571c.js";import{H as nt}from"../chunks/Heading.723dceba.js";function it(X){let o,M,y,v,s,T,d,G="🤗 Optimum can be installed using <code>pip</code> as follows:",_,m,H,u,U="If you’d like to use the accelerator-specific features of 🤗 Optimum, you can install the required dependencies according to the table below:",I,c,V='<thead><tr><th align="left">Accelerator</th> <th align="left">Installation</th></tr></thead> <tbody><tr><td align="left"><a href="https://huggingface.co/docs/optimum/onnxruntime/overview" rel="nofollow">ONNX Runtime</a></td> <td align="left"><code>pip install --upgrade --upgrade-strategy eager optimum[onnxruntime]</code></td></tr> <tr><td align="left"><a href="https://huggingface.co/docs/optimum/intel/index" rel="nofollow">Intel Neural Compressor</a></td> <td align="left"><code>pip install --upgrade --upgrade-strategy eager optimum[neural-compressor]</code></td></tr> <tr><td align="left"><a href="https://huggingface.co/docs/optimum/intel/index" rel="nofollow">OpenVINO</a></td> <td align="left"><code>pip install --upgrade --upgrade-strategy eager optimum[openvino]</code></td></tr> <tr><td align="left"><a href="https://huggingface.co/docs/optimum/main/en/nvidia_overview" rel="nofollow">NVIDIA TensorRT-LLM</a></td> <td align="left"><code>docker run -it --gpus all --ipc host huggingface/optimum-nvidia</code></td></tr> <tr><td align="left"><a href="https://huggingface.co/docs/optimum/amd/index" rel="nofollow">AMD Instinct GPUs and Ryzen AI NPU</a></td> <td align="left"><code>pip install --upgrade --upgrade-strategy eager optimum[amd]</code></td></tr> <tr><td align="left"><a href="https://huggingface.co/docs/optimum-neuron/index" rel="nofollow">AWS Trainum &amp; Inferentia</a></td> <td align="left"><code>pip install --upgrade --upgrade-strategy eager optimum[neuronx]</code></td></tr> <tr><td align="left"><a href="https://huggingface.co/docs/optimum/habana/index" rel="nofollow">Habana Gaudi Processor (HPU)</a></td> <td align="left"><code>pip install --upgrade --upgrade-strategy eager optimum[habana]</code></td></tr> <tr><td align="left"><a href="https://huggingface.co/docs/optimum/furiosa/index" rel="nofollow">FuriosaAI</a></td> <td align="left"><code>pip install --upgrade --upgrade-strategy eager optimum[furiosa]</code></td></tr></tbody>',k,f,O="The <code>--upgrade --upgrade-strategy eager</code> option is needed to ensure the different packages are upgraded to the latest possible version.",L,g,S="If you’d like to play with the examples or need the bleeding edge of the code and can’t wait for a new release, you can install the base library from source as follows:",C,h,J,w,q="For the accelerator-specific features, you can install them by appending <code>optimum[accelerator_type]</code> to the <code>pip</code> command, e.g.",P,$,A,x,W;return s=new nt({props:{title:"Installation",local:"installation",headingTag:"h1"}}),m=new E({props:{code:"cHl0aG9uJTIwLW0lMjBwaXAlMjBpbnN0YWxsJTIwb3B0aW11bQ==",highlighted:"python -m pip install optimum",wrap:!1}}),h=new E({props:{code:"cHl0aG9uJTIwLW0lMjBwaXAlMjBpbnN0YWxsJTIwZ2l0JTJCaHR0cHMlM0ElMkYlMkZnaXRodWIuY29tJTJGaHVnZ2luZ2ZhY2UlMkZvcHRpbXVtLmdpdA==",highlighted:"python -m pip install git+https://github.com/huggingface/optimum.git",wrap:!1}}),$=new E({props:{code:"cHl0aG9uJTIwLW0lMjBwaXAlMjBpbnN0YWxsJTIwb3B0aW11bSU1Qm9ubnhydW50aW1lJTVEJTQwZ2l0JTJCaHR0cHMlM0ElMkYlMkZnaXRodWIuY29tJTJGaHVnZ2luZ2ZhY2UlMkZvcHRpbXVtLmdpdA==",highlighted:"python -m pip install optimum[onnxruntime]@git+https://github.com/huggingface/optimum.git",wrap:!1}}),{c(){o=r("meta"),M=n(),y=r("p"),v=n(),Z(s.$$.fragment),T=n(),d=r("p"),d.innerHTML=G,_=n(),Z(m.$$.fragment),H=n(),u=r("p"),u.textContent=U,I=n(),c=r("table"),c.innerHTML=V,k=n(),f=r("p"),f.innerHTML=O,L=n(),g=r("p"),g.textContent=S,C=n(),Z(h.$$.fragment),J=n(),w=r("p"),w.innerHTML=q,P=n(),Z($.$$.fragment),A=n(),x=r("p"),this.h()},l(t){const e=at("svelte-u9bgzb",document.head);o=p(e,"META",{name:!0,content:!0}),e.forEach(a),M=i(t),y=p(t,"P",{}),z(y).forEach(a),v=i(t),B(s.$$.fragment,t),T=i(t),d=p(t,"P",{"data-svelte-h":!0}),b(d)!=="svelte-wergr7"&&(d.innerHTML=G),_=i(t),B(m.$$.fragment,t),H=i(t),u=p(t,"P",{"data-svelte-h":!0}),b(u)!=="svelte-1az9spn"&&(u.textContent=U),I=i(t),c=p(t,"TABLE",{"data-svelte-h":!0}),b(c)!=="svelte-1hjkmwy"&&(c.innerHTML=V),k=i(t),f=p(t,"P",{"data-svelte-h":!0}),b(f)!=="svelte-q5ptbo"&&(f.innerHTML=O),L=i(t),g=p(t,"P",{"data-svelte-h":!0}),b(g)!=="svelte-1vwn6yx"&&(g.textContent=S),C=i(t),B(h.$$.fragment,t),J=i(t),w=p(t,"P",{"data-svelte-h":!0}),b(w)!=="svelte-1k9gtp3"&&(w.innerHTML=q),P=i(t),B($.$$.fragment,t),A=i(t),x=p(t,"P",{}),z(x).forEach(a),this.h()},h(){Q(o,"name","hf:doc:metadata"),Q(o,"content",ot)},m(t,e){lt(document.head,o),l(t,M,e),l(t,y,e),l(t,v,e),R(s,t,e),l(t,T,e),l(t,d,e),l(t,_,e),R(m,t,e),l(t,H,e),l(t,u,e),l(t,I,e),l(t,c,e),l(t,k,e),l(t,f,e),l(t,L,e),l(t,g,e),l(t,C,e),R(h,t,e),l(t,J,e),l(t,w,e),l(t,P,e),R($,t,e),l(t,A,e),l(t,x,e),W=!0},p:F,i(t){W||(N(s.$$.fragment,t),N(m.$$.fragment,t),N(h.$$.fragment,t),N($.$$.fragment,t),W=!0)},o(t){Y(s.$$.fragment,t),Y(m.$$.fragment,t),Y(h.$$.fragment,t),Y($.$$.fragment,t),W=!1},d(t){t&&(a(M),a(y),a(v),a(T),a(d),a(_),a(H),a(u),a(I),a(c),a(k),a(f),a(L),a(g),a(C),a(J),a(w),a(P),a(A),a(x)),a(o),j(s,t),j(m,t),j(h,t),j($,t)}}}const ot='{"title":"Installation","local":"installation","sections":[],"depth":1}';function rt(X){return K(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ut extends tt{constructor(o){super(),et(this,o,rt,it,D,{})}}export{ut as component};
